child_info Struct Reference

## Data Fields

int | master
int | slave
char * | slavename
int | argc
VALUE * | argv

## Detailed Description

Definition at line 141 of file pty.c.

## Field Documentation

int child_info::argc

Definition at line 144 of file pty.c.

Referenced by chfunc(), and establishShell().

VALUE* child_info::argv

Definition at line 145 of file pty.c.

Referenced by chfunc(), and establishShell().

int child_info::master

Definition at line 142 of file pty.c.

Referenced by chfunc(), and establishShell().

int child_info::slave

Definition at line 142 of file pty.c.

Referenced by chfunc(), and establishShell().

char* child_info::slavename

Definition at line 143 of file pty.c.

Referenced by chfunc(), and establishShell().

The documentation for this struct was generated from the following file:

- ext/pty/pty.c